libsvn-perl_1.9.3-2ubuntu1.3_amd64.deb


Advertisement

Description

libsvn-perl - Perl bindings for Apache Subversion

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64 Official
Package filename libsvn-perl_1.9.3-2ubuntu1.3_amd64.deb
Package name libsvn-perl
Package version 1.9.3
Package release 2ubuntu1.3
Package architecture amd64
Package type deb
Homepage http://subversion.apache.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 824.07 KB
Installed size 4.77 MB
Category
This is a set of Perl interfaces to libsvn, the Apache Subversion libraries.
It is useful if you want to, for example, write a Perl script that
manipulates a Subversion repository or working copy.  See the
'subversion' package for more information.

Alternatives

Package Version Architecture Repository
libsvn-perl_1.9.3-2ubuntu1_amd64.deb 1.9.3 amd64 Ubuntu Main Official
libsvn-perl All All All

Requires

Name Value
libapr1 >= 1.2.7
libc6 >= 2.14
libsvn1 >= 1.9
perl >= 5.22.1-9ubuntu0.6
perlapi-5.22.1 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libsvn-perl_1.9.3-2ubuntu1.3_amd64.deb
Source Package subversion

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsvn-perl deb package:
    # sudo apt-get install libsvn-perl

Files

Path
/usr/lib/x86_64-linux-gnu/libsvn_swig_perl-1.so.1
/usr/lib/x86_64-linux-gnu/libsvn_swig_perl-1.so.1.0.0
/usr/lib/x86_64-linux-gnu/perl5/5.22/SVN/Base.pm
/usr/lib/x86_64-linux-gnu/perl5/5.22/SVN/Client.pm
/usr/lib/x86_64-linux-gnu/perl5/5.22/SVN/Core.pm
/usr/lib/x86_64-linux-gnu/perl5/5.22/SVN/Delta.pm
/usr/lib/x86_64-linux-gnu/perl5/5.22/SVN/Fs.pm
/usr/lib/x86_64-linux-gnu/perl5/5.22/SVN/Ra.pm
/usr/lib/x86_64-linux-gnu/perl5/5.22/SVN/Repos.pm
/usr/lib/x86_64-linux-gnu/perl5/5.22/SVN/Wc.pm
/usr/lib/x86_64-linux-gnu/perl5/5.22/auto/SVN/_Client/_Client.so
/usr/lib/x86_64-linux-gnu/perl5/5.22/auto/SVN/_Core/_Core.so
/usr/lib/x86_64-linux-gnu/perl5/5.22/auto/SVN/_Delta/_Delta.so
/usr/lib/x86_64-linux-gnu/perl5/5.22/auto/SVN/_Fs/_Fs.so
/usr/lib/x86_64-linux-gnu/perl5/5.22/auto/SVN/_Ra/_Ra.so
/usr/lib/x86_64-linux-gnu/perl5/5.22/auto/SVN/_Repos/_Repos.so
/usr/lib/x86_64-linux-gnu/perl5/5.22/auto/SVN/_Wc/_Wc.so
/usr/share/doc/libsvn-perl/changelog.Debian.gz
/usr/share/doc/libsvn-perl/copyright
/usr/share/lintian/overrides/libsvn-perl
/usr/share/man/man3/SVN::Base.3perl.gz
/usr/share/man/man3/SVN::Client.3perl.gz
/usr/share/man/man3/SVN::Core.3perl.gz
/usr/share/man/man3/SVN::Delta.3perl.gz
/usr/share/man/man3/SVN::Fs.3perl.gz
/usr/share/man/man3/SVN::Ra.3perl.gz
/usr/share/man/man3/SVN::Repos.3perl.gz
/usr/share/man/man3/SVN::Wc.3perl.gz

Changelog

2019-07-26 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
subversion (1.9.3-2ubuntu1.3) xenial-security; urgency=medium
* SECURITY UPDATE: Remotely triggerable DoS vulnerability in svnserve
'get-deleted-rev'
- debian/patches/CVE-2018-11782.patch: properly handle certain replies
in subversion/libsvn_ra_svn/client.c, subversion/svnserve/serve.c,
subversion/tests/libsvn_ra/ra-test.c.
- CVE-2018-11782
* SECURITY UPDATE: Remote unauthenticated denial-of-service in svnserve
- debian/patches/CVE-2019-0203.patch: properly handle errors in
subversion/svnserve/serve.c.
- CVE-2019-0203
* WARNING: this update does _not_ include the changes from
(1.9.3-2ubuntu1.2) in xenial-proposed.
2017-08-09 - Steve Beattie <sbeattie@ubuntu.com>
subversion (1.9.3-2ubuntu1.1) xenial-security; urgency=medium
* SECURITY UPDATE: Arbitrary code execution on clients through
malicious svn+ssh URLs
- debian/patches/CVE-2017-9800-1.9.6.patch: ensure that host
arguments to ssh cannot be treated as ssh options.
- CVE-2017-9800
* SECURITY UPDATE: svnserve/sasl may authenticate users using the
wrong realm.
- debian/patches/CVE-2016-2167.patch: Reject invalid usernames when
SASL is being used.
- CVE-2016-2167
* SECURITY UPDATE: remotely triggerable crash in the mod_authz_svn
module.
- debian/patches/CVE-2016-2167.patch: Reject requests with invalid
Destination headers.
- CVE-2016-2168
* SECURITY UPDATE: denial-of-service caused by exponential XML
entity expansion ("billion laughs attack").
- debian/patches/CVE-2016-8734.patch: properly error out the
parser on invalid data.
- CVE-2016-8734
2016-03-14 - Matthias Klose <doko@ubuntu.com>
subversion (1.9.3-2ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
- Build a python-subversion-dbg package.
- Build-depend on python-all-dbg.
- Only build on requested python versions (X-Python-Versions:).
- debian/patches/verbose-tests: Make tests verbose.
2016-01-15 - James McCoy <jamessan@debian.org>
subversion (1.9.3-2) unstable; urgency=medium
* Remove -Wdate-time from CPPFLAGS passed to swig.  (Closes: #809054)
2016-01-08 - Matthias Klose <doko@ubuntu.com>
subversion (1.9.3-1ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
- Build a python-subversion-dbg package.
- Build-depend on python-all-dbg.
- Only build on requested python versions (X-Python-Versions:).
- debian/patches/verbose-tests: Make tests verbose.
2015-12-15 - James McCoy <jamessan@debian.org>
subversion (1.9.3-1) unstable; urgency=high
* New upstream release.
+ Security fixes
- CVE-2015-5259: Heap overflow and out-of-bounds read in svn:// protocol
parser
- CVE-2015-5343: Heap overflow and out-of-bounds read in mod_dav_svn
+ Fix dumps of no-op changes with “svnadmin dump”.  (Closes: #803725)
+ Fix segfault when performing a diff when repository is on server root.
(Closes: #802611)
+ Fix translations of commit notifications.  (Closes: #802156)
+ Fix authz with mod_auth_ntlm/mod_auth_kerb.  (Closes: #797216)
+ Restore reporting (un)lock errors as failures.  (Closes: #796781)
2015-11-09 - James McCoy <jamessan@debian.org>
subversion (1.9.2-3) unstable; urgency=medium
* Re-enable libsvn-java on kfreebsd-*.
* Ensure swig2.0 is used to avoid build failures, until upstream figures
out how to work with swig >= 3.0.  (Closes: #804389)
* Fix FTBFS with Ruby 2.2 (Closes: #803589)
+ Add ruby-frozen-nil patch to create a new Object instead of trying to
make modifications to the nil object.
+ Add ruby-test-unit patch to be compatible with the ruby-test-unit gem as
well as the older test-unit API provided by minitest.
2015-12-18 - Colin Watson <cjwatson@ubuntu.com>
subversion (1.9.2-3ubuntu2) xenial; urgency=medium
* Rebuild for Perl 5.22.1.

See Also

Package Description
libsvn1_1.9.3-2ubuntu1.3_amd64.deb Shared libraries used by Apache Subversion
libsynctex-dev_2015.20160222.37495-1ubuntu0.1_amd64.deb Tex Live: SyncTeX parser library (development part)
libsynctex1_2015.20160222.37495-1ubuntu0.1_amd64.deb TeX Live: SyncTeX parser library
libsystemd-dev_229-4ubuntu21.27_amd64.deb systemd utility library - development files
libsystemd0_229-4ubuntu21.27_amd64.deb systemd utility library
libtasn1-6-dev_4.7-3ubuntu0.16.04.3_amd64.deb Manage ASN.1 structures (development)
libtasn1-6_4.7-3ubuntu0.16.04.3_amd64.deb Manage ASN.1 structures (runtime)
libtasn1-doc_4.7-3ubuntu0.16.04.3_all.deb Manage ASN.1 structures (documentation)
libtcmalloc-minimal4_2.4-0ubuntu5.16.04.1_amd64.deb efficient thread-caching malloc
libtevent-dev_0.9.28-0ubuntu0.16.04.1_amd64.deb talloc-based event loop library - development files
libtevent0_0.9.28-0ubuntu0.16.04.1_amd64.deb talloc-based event loop library - shared library
libtexlua52-dev_2015.20160222.37495-1ubuntu0.1_amd64.deb Tex Live: Lua 5.2, modified for use with LuaTeX (development part)
libtexlua52_2015.20160222.37495-1ubuntu0.1_amd64.deb TeX Live: Lua 5.2, modified for use with LuaTeX
libtexluajit-dev_2015.20160222.37495-1ubuntu0.1_amd64.deb Tex Live: LuaJIT, modified for use with LuaJITTeX (development part)
libtexluajit2_2015.20160222.37495-1ubuntu0.1_amd64.deb TeX Live: LuaJIT, modified for use with LuaJITTeX
Advertisement
Advertisement